package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouCrowdPack;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人群报表
 *
 * @author: jeecg-boot
 * @date: 2021-03-26
 * @cersion: V1.0
 */
public interface KuaishouCrowdPackMapper extends BaseMapper<KuaishouCrowdPack> {

    Long getTotal(@Param(value = "status") Integer status, @Param(value = "accountName") String accountName, @Param(value = "orientationName") String orientationName);

    List<JSONObject> queryPageList(@Param(value = "status") Integer status, @Param(value = "accountName") String accountName, @Param(value = "orientationName") String orientationName);

    List<KuaishouCrowdPack> queryListByStatus();

    void updateBatch(@Param(value = "details") JSONArray details);

    List<JSONObject> queryFailReason(@Param(value = "signature") String signature);

    List<JSONObject> queryRelAccounts(@Param(value = "signature") String signature);

    List<JSONObject> queryRelProject(@Param(value = "signature") String signature);

    void replaceBatch(@Param(value = "list") List<KuaishouCrowdPack> list);

    Long queryProjectCount(@Param(value = "signature") String signature);

    KuaishouCrowdPack queryByAccountId(@Param(value = "accountId") Long accountId,@Param(value = "orientationId") Long orientationId);
}
